angular.module('admin')
.controller('InvoiceOrderController', function($scope, $http, $route, $routeParams, $window){
  $scope.order = {};
  $scope.mensagem = '';
  $scope.items = [];
  $scope.dock = $window.sessionStorage.dock;
  $scope.name = $window.sessionStorage.name;

  // orders/:orderId/invoice
  $http.get('../../api/seller/dock/'+$scope.dock+'/'+$routeParams.orderId)
  .success(function(order){
    $scope.order = order;
  })
  .error(function(err){
    $scope.mensagem = 'Não foi possível obter informações da venda';
  })

  $scope.inicio = function(){
    $scope.items();
  };

  $scope.items = function(){
    $http.get('../../api/seller/items/'+$routeParams.orderId)
    .success(function(items){
      $scope.items = items;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível obter informações dos itens da venda';
    })
  }

  $scope.submeter = function(){
    if ($scope.formOrder.$valid) {
      if ($routeParams.orderId) {
        $http.post('../../api/seller/dock/'+$routeParams.orderId, $scope.order)
        .success(function(){
          $scope.mensagem = 'Pedido faturado com sucesso, você será redirecionado para página de pedidos';
          setTimeout(function(){
            $window.location.replace("https://convictoclub.com.br/split/public/seller/#/orders");
          }, 7000);
        })
        .error(function(err){
          $scope.mensagem = 'Não foi possível faturar este pedido - '+err;
        });
      }
    }
  };

});
